/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package business.user;

import business.AbstractManager;
import controller.person.PersonController;
import javax.ejb.Stateless;
import javax.inject.Inject;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import model.files.UserPicture;

/**
 *
 * @author patri
 */
@Stateless
public class UserPictureManager extends AbstractManager<UserPicture>{
    private UserPicture pic;

    @PersistenceContext(name = "pu_person")
    EntityManager em;
    
    @Inject
    PersonController personController;

    public UserPictureManager() {
        super(UserPicture.class);
    }
    
    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public UserPicture getPic() {
        return pic;
    }

    public void setPic(UserPicture pic) {
        this.pic = pic;
    }
}
